#pragma once
#include "Calibration.h"

using namespace std;

class Darks : public Calibration
{
	//Atributos
private:
	long int* master;
	//Metodos
public:
	Darks();
	Darks(string name);
	~Darks();
	void ObtainMaster(long * biasmasterdata);
	long* getMaster();
	void free_data();
	void free_Master();
	void PrintMasterData(int limx, int limy);
	//Metodos de lectura de archivo master
	void setMaster(string masterfile);
	//Metodo para setter un nuevo darks
	void setNewDarks(string newdarks);
	void setNullMaster(int xs, int ys);
};

